<?php

/**
 * spa-centric: Block Patterns
 *
 * @since spa-centric 1.0.0
 */

/**
 * Registers pattern categories for spa-centric
 *
 * @since spa-centric 1.0.0
 *
 * @return void
 */
function SPA_CENTRIC_register_pattern_category()
{
	$block_pattern_categories = array(
		'spa-centric' => array('label' => __('spa-centric Patterns', 'spa-centric')),
	);

	$block_pattern_categories = apply_filters('SPA_CENTRIC_block_pattern_categories', $block_pattern_categories);

	foreach ($block_pattern_categories as $name => $properties) {
		if (!WP_Block_Pattern_Categories_Registry::get_instance()->is_registered($name)) {
			register_block_pattern_category($name, $properties); // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_pattern_category
		}
	}
}
add_action('init', 'SPA_CENTRIC_register_pattern_category', 9);
